package com.miyzh.config;

import com.miyzh.service.UploadService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

import java.time.LocalDateTime;

/**
 * description: SheduledConfig
 * date: 2020/6/18 17:18
 * author: SZQ
 */

@Configuration
@EnableScheduling
public class SheduledConfig {

    @Autowired
    private UploadService uploadService;

    @Scheduled(fixedRate = 3 * 60 * 1000)
    private void rertyUpload() {
        uploadService.retryUpload();
    }
}
